public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-gfx/cura/
Date: Wed, 16 Oct 2019 05:22:31 +0000 (UTC)	[thread overview]
Message-ID: <1571203320.1fb659401ca98a043696a0e3fb3ed1e4c0b5d9ea.juippis@gentoo> (raw)

commit:     1fb659401ca98a043696a0e3fb3ed1e4c0b5d9ea
Author:     Michael Perlov <perlovka <AT> gmail <DOT> com>
AuthorDate: Sat Sep 28 10:39:07 2019 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Wed Oct 16 05:22:00 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1fb65940

media-gfx/cura: version bump to 4.3.0

Package-Manager: Portage-2.3.76, Repoman-2.3.17
Signed-off-by: Michael Perlov <perlovka <AT> gmail.com>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 media-gfx/cura/Manifest          |  1 +
 media-gfx/cura/cura-4.3.0.ebuild | 53 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/media-gfx/cura/Manifest b/media-gfx/cura/Manifest
index 4816b7899c8..698ecfb22ab 100644
--- a/media-gfx/cura/Manifest
+++ b/media-gfx/cura/Manifest
@@ -1,3 +1,4 @@
 DIST cura-3.4.1.tar.gz 21720836 BLAKE2B 228ad51d189f83d2a34c2af7a6edcbe468bc32ee6ac012141eac1b7332046790e2e85c4e643c1ebb13ceded6024cd52aeab2bcd0db555db8f355a7b568bed728 SHA512 5d1935c923173a5ea6d3a95181d61c8deffbb51f3ee4f3e4cb2c5a58f79581d3dd9adc6a9583e6ca0ab5da4c36b63695d7479e67d1237c132354616aa990e3c1
 DIST cura-3.6.0.tar.gz 23388945 BLAKE2B bd2f2e688306e7ef060141abae22c858e9fbb9385e49110079b48e69955c3f6630f8f69ad67fdf2d9e5c1ac0c969cd2d2f416642fc61a63867f79f88985c5c86 SHA512 b56e5575cb0eb15d759999dcd2f4c33873a0a57805a8ba0ec7860811a2137658a656216c969c6e3316d65fbd5e43f2def10a6385ccbf4fc306d15098569ef279
 DIST cura-4.2.1.tar.gz 29288696 BLAKE2B 1332030e63d7056dcb8dd680208b0da8dd33e5c7809957779849bac808fccad9a222505ddbe80d4071474d10ace842aa4459f14560198a9f3eebb5be53f923e1 SHA512 4f47f3f5597d1a56d88207eacacece49edb766c75ae18ddc9fb8689b76c16fd4decc9c8af7cab485aac3c9cffe13095aaad34e1c60634249ae2923ead771ac52
+DIST cura-4.3.0.tar.gz 30433646 BLAKE2B 8490d703cfd4ad07fd5b30d5f776d978baa17ad8751dad53870714596998becebc85cc2fe49fa05eab37b95106315ace97eaa0bbed65b488b522ebbbcba488dc SHA512 3f4ae11e4e28b151e9587c197f814bc97bc225fb2819f4dabaab392ef9896bb119d6fab0df48c9eb4a390a815815d27045eefa933e2e4a9d53331db8d79ea815

diff --git a/media-gfx/cura/cura-4.3.0.ebuild b/media-gfx/cura/cura-4.3.0.ebuild
new file mode 100644
index 00000000000..aed51febac2
--- /dev/null
+++ b/media-gfx/cura/cura-4.3.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6} )
+inherit cmake-utils desktop python-single-r1 xdg
+
+MY_PN=Cura
+
+DESCRIPTION="A 3D model slicing application for 3D printing"
+HOMEPAGE="https://github.com/Ultimaker/Cura"
+SRC_URI="https://github.com/Ultimaker/${MY_PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+usb zeroconf"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+BDEPEND="sys-devel/gettext"
+RDEPEND="${PYTHON_DEPS}
+	>=dev-python/uranium-${PV:0:3}[${PYTHON_USEDEP}]
+	>=media-gfx/curaengine-${PV:0:3}
+	>=media-gfx/fdm-materials-${PV:0:3}
+	>=dev-libs/libsavitar-${PV:0:3}:=[python,${PYTHON_USEDEP}]
+	>=dev-libs/libcharon-${PV:0:3}[${PYTHON_USEDEP}]
+	usb? ( dev-python/pyserial[${PYTHON_USEDEP}] )
+	zeroconf? ( dev-python/zeroconf[${PYTHON_USEDEP}] )"
+
+DEPEND="${RDEPEND}"
+
+DOCS=( README.md )
+PATCHES=( "${FILESDIR}/${PN}-4.2.1-fix-install-paths.patch" )
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+src_prepare() {
+	sed -i "s/set(CURA_VERSION \"master\"/set(CURA_VERSION \"${PV}\"/" CMakeLists.txt || die
+	cmake-utils_src_prepare
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DPYTHON_SITE_PACKAGES_DIR="$(python_get_sitedir)"
+	)
+	cmake-utils_src_configure
+}
+
+src_install() {
+	cmake-utils_src_install
+	doicon icons/*.png
+	python_optimize "${D}${get_libdir}"
+}


             reply	other threads:[~2019-10-16  5:22 UTC|newest]

Thread overview: 41+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-10-16  5:22 Joonas Niilola [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-07-09 10:52 [gentoo-commits] repo/gentoo:master commit in: media-gfx/cura/ Matthew Smith
2022-05-09  7:00 Michał Górny
2022-05-08 19:59 Sam James
2022-05-08  8:47 Michał Górny
2022-03-10 21:21 Jakov Smolić
2022-03-05 11:54 Matthew Smith
2022-03-05 11:54 Matthew Smith
2022-02-28 19:43 Matthew Smith
2022-02-28 19:43 Matthew Smith
2022-02-13 22:38 Jakov Smolić
2022-02-11 20:25 Arthur Zamarin
2021-11-10 19:44 Jonas Stein
2021-06-10 17:41 Dennis Lamm
2021-02-07 23:57 Dennis Lamm
2021-02-07 23:57 Dennis Lamm
2020-12-14  0:46 Sam James
2020-11-30 18:37 Dennis Lamm
2020-11-30 18:37 Dennis Lamm
2020-11-30 18:37 Dennis Lamm
2020-10-11 11:25 Dennis Lamm
2020-10-07  0:59 Sam James
2020-10-07  0:59 Sam James
2020-10-07  0:59 Sam James
2020-10-07  0:59 Sam James
2020-09-19 16:34 Sam James
2020-05-25 21:04 Alexey Shvetsov
2020-02-09 16:29 Michał Górny
2019-01-02 22:05 Amy Liffey
2019-01-02 21:52 Amy Liffey
2018-07-16 17:29 Amy Liffey
2018-06-14 20:14 Alexey Shvetsov
2018-04-15 14:06 Amy Liffey
2018-04-03 15:28 Jonas Stein
2017-11-26 23:02 David Seifert
2017-07-23 11:05 Alexey Shvetsov
2017-04-23 20:48 Michał Górny
2016-08-08  1:49 Göktürk Yüksek
2016-08-08  1:49 Göktürk Yüksek
2016-05-22 17:05 Göktürk Yüksek
2016-04-29 11:35 Alexey Shvetsov

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1571203320.1fb659401ca98a043696a0e3fb3ed1e4c0b5d9ea.juippis@gentoo \
    --to=juippis@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox